> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://en.megaport.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://en.megaport.ferndocs.com/_mcp/server.

# MCR Price

GET https://api.megaport.com/v2/pricebook/mcr2

Returns the price for an MCR based on configuration parameters.

Pricing information is contained in a number of fields.

Be aware that the following fields DO NOT include the term discount:

* `mbpsRate`

* `fixedRecurringCharge`

The following field DOES include the term discount:

* `monthlyRate`

These fields show further pricing information:

* `monthlyRackRate` - returns the Month to Month / No Minimum Term Rate (BigDecimal)

* `discounts` - a list of DiscountedAmount object.

  * DiscountedAmount - has two parameters.

    * `discountReason`: The reason for the discount. Usually, Term.

    * `amount`: the fixed term discount amount (BigDecimal)

`termSpeed` is returned in the following APIs:

* GET Product Details v2/product/\{\{productUid}}

* GET Product List v2/products

Reference: https://en.megaport.ferndocs.com/api-reference/pricing/mcr-price

## Servers

- `https://api.megaport.com` (Production environment, default)
- `https://api-staging.megaport.com` (Staging environment (test only, reset every 24 hours))

## Request

### Query parameters

- `locationId` (string, optional) — MCR location. (Required - integer)
- `speed` (string, optional) — Port speed in Mbps: 2500, 5000, 10000. (Required - integer)
- `productUid` (string, optional) — The unique identifier for an existing MCR. (Optional - string)
- `term` (string, optional) — Contract term indicating months of contract. Accepted values are 1, 12, 24, or, 36. (Required - integer)

## Response

### 200

MCR Price / MCR Price

- `data` (V2PricebookMcr2GetResponsesContentApplicationJsonSchemaData, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V2PricebookMcr2GetResponsesContentApplicationJsonSchemaData

- `currency` (string, optional)
- `dailyRate` (double, optional)
- `dailySetup` (double, optional)
- `discounts` (list of any, optional)
- `empty` (boolean, optional)
- `fixedRecurringCharge` (double, optional)
- `hourlyRate` (double, optional)
- `hourlySetup` (double, optional)
- `key` (string, optional)
- `longHaulMbpsRate` (double, optional)
- `mbpsRate` (double, optional)
- `monthlyRackRate` (double, optional)
- `monthlyRate` (double, optional)
- `monthlySetup` (double, optional)
- `postPaidBaseRate` (string, optional)
- `productType` (string, optional)

## Examples

**Response**

```json
{
  "data": {
    "currency": "AUD",
    "dailyRate": 0,
    "dailySetup": 0,
    "discounts": [],
    "empty": false,
    "fixedRecurringCharge": 0,
    "hourlyRate": 0,
    "hourlySetup": 0,
    "key": "no key",
    "longHaulMbpsRate": 6,
    "mbpsRate": 6,
    "monthlyRackRate": 600,
    "monthlyRate": 600,
    "monthlySetup": 0,
    "postPaidBaseRate": "no base rate",
    "productType": "MCR2"
  },
  "message": "Megaport Charges",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v2/pricebook/mcr2"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v2/pricebook/mcr2';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v2/pricebook/mcr2"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v2/pricebook/mcr2")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v2/pricebook/mcr2")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v2/pricebook/mcr2');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v2/pricebook/mcr2");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v2/pricebook/mcr2")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```